classification
Title: Support xz compression in distutils
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: merwok Nosy List: Arfrever, jwilk, merwok, nadeem.vawda, ned.deily, python-dev, serhiy.storchaka, tarek
Priority: normal Keywords: needs review, patch

Created on 2012-10-24 21:32 by serhiy.storchaka, last changed 2015-05-19 11:13 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
distutils-lzma.patch serhiy.storchaka, 2012-10-24 22:01 review
distutils-lzma_2.patch serhiy.storchaka, 2015-03-19 16:26 review
distutils-lzma_3.patch serhiy.storchaka, 2015-03-23 08:57 review
distutils-lzma_4.patch serhiy.storchaka, 2015-04-10 07:17 review
Messages (13)
msg173708 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-24 21:32
The proposed patch adds xz compression support in additional to gzip, compress and bzip2 in distutils.
msg173709 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2012-10-24 21:35
I think there’s already a report for distutils2.

For distutils, if we take the feature freeze seriously, this would have to be rejected.  I know it looks innocuous, but distutils is brittle code widely monkey-patched, so I prefer to take no chances.
msg173714 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-24 22:01
OK, I didn't know that distutils are frozen.
msg210790 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2014-02-09 22:11
AFAIK distutils is no longer frozen.
msg224472 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-08-01 07:41
What about the patch?
msg238527 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2015-03-19 14:18
Code and doc changes look good.  Will you add tests?
msg238539 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-03-19 16:26
Added tests for gztar, bztar and xztar. Added more asserts in other tests.
msg238991 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-03-23 08:57
Addressed Berker's comments. Added versionchanged directives and a whatsnews entry.
msg240256 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-04-08 10:46
Ping.
msg240411 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-04-10 07:17
Updated patch addresses Antoines comments: refactores tests and corrects docs.
msg243361 - (view) Author: Roundup Robot (python-dev) Date: 2015-05-16 19:13
New changeset 09bd552999bf by Serhiy Storchaka in branch 'default':
Issue #16314: Added support for the LZMA compression in distutils.
https://hg.python.org/cpython/rev/09bd552999bf
msg243377 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-05-16 23:03
The test for lzma being importable is not sufficient.

======================================================================
ERROR: test_make_archive_xztar (distutils.tests.test_archive_util.ArchiveUtilTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/tarfile.py", line 389, in __init__
    import lzma
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/lzma.py", line 26, in <module>
    from _lzma import *
ImportError: No module named '_lzma'

http://buildbot.python.org/all/builders/AMD64%20Snow%20Leop%203.x/builds/3171/steps/test/logs/stdio
msg243378 - (view) Author: Roundup Robot (python-dev) Date: 2015-05-16 23:23
New changeset 25cb42a4bce9 by Serhiy Storchaka in branch 'default':
Fixed issue #16314 test for the case when lzma is not available.
https://hg.python.org/cpython/rev/25cb42a4bce9
History
Date User Action Args
2015-05-19 11:13:53serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2015-05-17 16:23:27jwilksetnosy: + jwilk
2015-05-16 23:23:48python-devsetmessages: + msg243378
2015-05-16 23:03:08ned.deilysetnosy: + ned.deily
messages: + msg243377
2015-05-16 19:13:50python-devsetnosy: + python-dev
messages: + msg243361
2015-04-10 07:17:20serhiy.storchakasetfiles: + distutils-lzma_4.patch

messages: + msg240411
2015-04-08 10:46:55serhiy.storchakasetassignee: merwok
messages: + msg240256
2015-03-23 08:57:59serhiy.storchakasetfiles: + distutils-lzma_3.patch

messages: + msg238991
2015-03-19 16:26:47serhiy.storchakasetfiles: + distutils-lzma_2.patch

messages: + msg238539
2015-03-19 14:18:17merwoksetmessages: + msg238527
2015-01-18 10:29:22ned.deilylinkissue23265 superseder
2014-10-04 19:37:41pitrousetassignee: merwok -> (no value)
2014-08-06 16:02:38serhiy.storchakasetkeywords: + needs review
2014-08-01 07:41:10serhiy.storchakasetmessages: + msg224472
2014-02-09 22:11:24Arfreversetstatus: closed -> open

versions: + Python 3.5, - Python 3.4
nosy: + Arfrever

messages: + msg210790
resolution: wont fix -> (no value)
stage: resolved -> patch review
2012-10-24 22:03:23serhiy.storchakasetstatus: open -> closed
resolution: wont fix
stage: patch review -> resolved
2012-10-24 22:01:21serhiy.storchakasetfiles: + distutils-lzma.patch

messages: + msg173714
2012-10-24 21:59:46serhiy.storchakasetfiles: - distutils-lzma.patch
2012-10-24 21:35:11merwoksetmessages: + msg173709
2012-10-24 21:32:58serhiy.storchakacreate